Fade (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union

## Interface Fade

- All Known Implementing Classes:
    FadeImpl

      public interface Fade

  Specifies a value that describes an audio fade operation associated with a source clip in terms of its fade in and out lengths and types. This interface was introduced as part of the port of the MAJ API to collect together return values from `SourceClip.getFade()`.

  Properties for a fade in operation are optional. Either both values for a fade in length and type are present or both are omitted. Similarly for fade out parameters.

  See Also:
    `FadeType`, `SourceClip`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getFadeInLength()` Returns the fade in length of the fade.
    `FadeType` | `getFadeInType()` Returns the fade in type of the fade.
    `long` | `getFadeOutLength()` Returns the fade out length of the fade.
    `FadeType` | `getFadeOutType()` Returns the fade out type of the fade.
    `boolean` | `isFadeInPresent()` Returns `true` if details of a fade in are present in the fade; otherwise `false`.
    `boolean` | `isFadeOutPresent()` Returns `true` if details of a fade out are present in the fade; otherwise `false`.
    `void` | `setFadeInLength(long fadeInLength)` Sets the fade in length of the fade.
    `void` | `setFadeInType(FadeType fadeInType)` Sets the fade in type of the fade.
    `void` | `setFadeOutLength(long fadeOutLength)` Sets the fade out length of the fade.
    `void` | `setFadeOutType(FadeType fadeOutType)` Sets the fade out type of the fade.

- - ### Method Detail

    - #### setFadeInLength

          void setFadeInLength(@LengthType
                               long fadeInLength)
                        throws BadLengthException

      Sets the fade in length of the fade. This is an optional property that can be omitted by calling `setFadeInType(null)`.

      Parameters:
        `fadeInLength` - Fade in length of the fade.
      Throws:
        `BadLengthException` - Cannot set the fade in length to a negative value.

    - #### getFadeInLength

          @LengthType
          long getFadeInLength()
                                    throws PropertyNotPresentException

      Returns the fade in length of the fade. This is an optional property.

      Returns:
        Fade in length of the fade.
      Throws:
        `PropertyNotPresentException` - This optional property is not present in the fade.

    - #### setFadeInType

          void setFadeInType(FadeType fadeInType)

      Sets the fade in type of the fade. Set to `null` to omit both this optional property and the associated fade in length property.

      Parameters:
        `fadeInType` - Fade in type of the fade.

    - #### getFadeInType

          FadeType getFadeInType()
                          throws PropertyNotPresentException

      Returns the fade in type of the fade. This is an optional property.

      Returns:
        Fade in type of the fade.
      Throws:
        `PropertyNotPresentException` - This optional property is not present in the fade.

    - #### isFadeInPresent

          boolean isFadeInPresent()

      Returns `true` if details of a fade in are present in the fade; otherwise `false`.

      Returns:
        Are details of a fade in present in the fade?

    - #### setFadeOutLength

          void setFadeOutLength(@LengthType
                                long fadeOutLength)
                         throws BadLengthException

      Sets the fade out length of the fade. This is an optional property that can be omitted by calling `setFadeOutType(null)`.

      Parameters:
        `fadeOutLength` - Fade out length of the fade.
      Throws:
        `BadLengthException` - Cannot set the fade out length to a negative value.

    - #### getFadeOutLength

          @LengthType
          long getFadeOutLength()
                                     throws PropertyNotPresentException

      Returns the fade out length of the fade. This is an optional property.

      Returns:
        Fade out length of the fade.
      Throws:
        `PropertyNotPresentException` - This optional property is not present in the fade.

    - #### setFadeOutType

          void setFadeOutType(FadeType fadeOutType)

      Sets the fade out type of the fade. Set to `null` to omit both this optional property and the associated fade out length property.

      Parameters:
        `fadeOutType` - Fade out type of the fade.

    - #### getFadeOutType

          FadeType getFadeOutType()
                           throws PropertyNotPresentException

      Returns the fade out type of the fade. This is an optional property.

      Returns:
        Fade out type for the fade.
      Throws:
        `PropertyNotPresentException` - This optional property is not present in the fade.

    - #### isFadeOutPresent

          boolean isFadeOutPresent()

      Returns `true` if details of a fade out are present in the fade; otherwise `false`.

      Returns:
        Are details of the fade out present in the fade?

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.